# SEID - SDF Emacs Interface and Documentation (unoffical)

## Installation and use instructions for GNU/Linux and other Unix-like operating systems

*The following is done from your local machine (yes, the one you are in front of now).*

1. If you have not already, **setup secure shell key-based authentication to sdf.org**.
2. If you have not already, **install Git**.
3. If you have not already, **install Mosh**.
4. Clone the project to your home directory: **git clone https://git.sdf.org/scm/seid.git**.
5. If you have one, make a backup copy of your .emacs file in your home directory: **mv $HOME/.emacs $HOME/dotemacs.bak**.
6. Copy the dotemacs file in the seid directory to your home directory: **cp $HOME/seid/dotemacs $HOME**.
7. Rename the dotemacs file in your home directory to .emacs: **mv $HOME/dotemacs $HOME/.emacs**.
8. Make sure that the shell files in the seid directory are executable. If they are not: **chmod +x $HOME/seid/*.sh**.
9. Run **emacs**.
10. Switch to the SDF program buffer that is the program that you want to use. Example, to use the com, do: **C-x b** (that is Emacs
notation for, while holding down the control key, press the x key, release the control key, press the b key), type **com**, press the
**enter key**. Select other SDF programs e.g. bboard similarly.

